%define	major 0
%define libname %mklibname ctemplate %{major}
%define develname %mklibname ctemplate -d

Summary:	Simple but powerful template language for C++
Name:		ctemplate
Version:	2.0
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://code.google.com/p/google-ctemplate/
Source:		http://google-ctemplate.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	libstdc++-devel
BuildRequires:	libtool autoconf

%description
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n	%{libname}
Summary:	Simple but powerful template language for C++
Group:          System/Libraries

%description -n	%{libname}
The ctemplate package contains a library implementing a simple but
powerful template language for C++.  It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language.  This limits the power of the template language
without limiting the power of the template *system*.  Indeed, Google's
"main" web search uses this system exclusively for formatting output.

%package -n	%{develname}
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname ctemplate 0 -d}

%description -n	%{develname}
The ctemplate-devel package contains static and debug libraries and header
files for developing applications that use the ctemplate package.

%prep
%setup -q

%build
export PTHREAD_LIBS="-lpthread"
%configure2_5x --disable-static
%make

%check
make check

%install
%makeinstall_std

# cleanup
rm -rf %{buildroot}%{_docdir}/ctemplate-*

# don't ship .la
find %{buildroot} -name "*.la" | xargs rm -f

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL README doc/*
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/ctemplate/*
%{_libdir}/pkgconfig/libctemplate*.pc
%{_bindir}/diff_tpl_auto_escape
%{_bindir}/make_tpl_varnames_h
%{_bindir}/template-converter
%{_libdir}/*.so


%changelog

* Sat Mar 03 2012 dams <dams> 2.0-1.mga2
+ Revision: 217453
- new version 2.0
- clean spec file

* Fri Feb 11 2011 ahmad <ahmad> 0.99-1.mga1
+ Revision: 50602
- update to 0.99
- BR autoconf not autoconf2.5
- enable check, works now
- drop old/unneeded scriptlets
- don't ship .la
- update the file list
- imported package ctemplate


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.96-2mdv2011.0
+ Revision: 610174
- rebuild

* Tue Oct 27 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.96-1mdv2010.1
+ Revision: 459501
- New release 0.96

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.94-1mdv2010.0
+ Revision: 376957
- 0.94

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.90-1mdv2009.0
+ Revision: 200403
- 0.90

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdv2008.1
+ Revision: 96986
- 0.8
- new devel naming

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
+ Revision: 43639
- Import ctemplate



* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-1mdv2008.0
- 0.6.1

* Fri Jul 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- 0.2

* Tue May 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-1mdk
- initial Mandriva package
